Bug 965730 - RFE: Use recommended size for swap if no size set by user
RFE: Use recommended size for swap if no size set by user
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-05-21 11:44 EDT by Marian Ganisin
Modified: 2015-02-17 10:17 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:17:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Ganisin 2013-05-21 11:44:18 EDT
Description of problem:

It would be nice if anaconda was setting recommended size of swap if user does not set the swap size in GUI or if he checks (non-existing) 'Recommended swap size' option.
Comment 1 Reartes Guillermo 2013-05-22 19:42:29 EDT
I do believe that anaconda already does that in Automatic Partitioning.

I don't think this makes sense in Custom Partitioning. People using Custom Partitioning will either set a swap size o or go without a swap, based on their needs and knowledge.
Comment 2 Marian Ganisin 2013-05-23 02:22:55 EDT
(In reply to Reartes Guillermo from comment #1)
> I do believe that anaconda already does that in Automatic Partitioning.
> 
> I don't think this makes sense in Custom Partitioning. People using Custom
> Partitioning will either set a swap size o or go without a swap, based on
> their needs and knowledge.

Usually custom partitioning is not used because of customizing swap. Actually swap size is very likely least important item in custom partitioning, mounpoints holding the data matter. Use cases like: "I really need a separate /var on my system" may be quite common and in such case user really does not care about exact size of swap, detault fits to his needs pretty well.
Comment 3 Fedora End Of Life 2015-01-09 13:11:03 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 10:17:47 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.